All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Components |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sas.actionprovider.support.olaptableview
Interface OLAPActionTypeKeysInterface

All Known Subinterfaces:
  HttpOLAPActionTypeKeysInterface, SwingOLAPActionTypeKeysInterface

All Known Implementing Classes:
  BaseOLAPTableViewSupport, HttpOLAPActionStrategyFactory, HttpOLAPTableViewSupport, SwingOLAPActionStrategyFactory, SwingOLAPTableViewSupport

    public interface OLAPActionTypeKeysInterface

Field Summary
`static java.lang.String` | `ASCENDING_SORT_ACTION` The actionType key used to define the default sort action for an OLAP table view.
`static java.lang.String` | `CALCULATE_NEW_MEASURE_SELECTOR_ACTION` The actionType key used to define the simple calculated item selector action for an OLAP table view.
`static java.lang.String` | `CELL_VALUE_ASCENDING_SORT_ACTION` The actionType key used to define the default ascending cell value sort action for an OLAP table view.
`static java.lang.String` | `CELL_VALUE_DESCENDING_SORT_ACTION` The actionType key used to define the default descending cell value sort action for an OLAP table view.
`static java.lang.String` | `CLEAR_CELL_VALUE_SORT_ACTION` The actionType key used to define the default clear cell value sort action for an OLAP table view.
`static java.lang.String` | `CLEAR_LEVEL_LABEL_SORT_ACTION` The actionType key used to define the default clear level label sort action for an OLAP table view.
`static java.lang.String` | `CLEAR_SORT_ACTION` The actionType key used to define the default clear sort action for an OLAP table view.
`static java.lang.String` | `COLLAPSE_ACTION` The actionType key used to define the default collapse action on the rows and columns of an OLAP table view.
`static java.lang.String` | `COLLAPSE_ALL_ACTION` The actionType key used to define the expand all action on the rows or columns of an OLAP table view.
`static java.lang.String` | `DESCENDING_SORT_ACTION` The actionType key used to define the default descending sort action for an OLAP table view.
`static java.lang.String` | `DRILL_DOWN_ACTION` The actionType key used to define the default drill down action for an OLAP table view.
`static java.lang.String` | `DRILL_UP_ACTION` The actionType key used to define the default drill up action for an OLAP table view.
`static java.lang.String` | `EXPAND_ACTION` The actionType key used to define the default expand action on the rows or columns of an OLAP table view.
`static java.lang.String` | `EXPAND_ALL_ACTION` The actionType key used to define the expand all action on the rows or columns of an OLAP table view.
`static java.lang.String` | `FAR_SELECTOR_ACTION` The actionType key used to define the default filter and rank selector action for an OLAP table view.
`static java.lang.String` | `FILTER_SELECTOR_ACTION` The actionType key used to define the default filter selector action for an OLAP table view.
`static java.lang.String` | `FORMAT_SELECTOR_ACTION` The actionType key used to define the default filter and rank selector action for an OLAP table view.
`static java.lang.String` | `ISOLATE_MEMBER_ACTION` The actionType key used to define the default isolate member action for an OLAP table view.
`static java.lang.String` | `LEVEL_LABEL_ASCENDING_SORT_ACTION` The actionType key used to define the default ascending level label sort action for an OLAP table view.
`static java.lang.String` | `LEVEL_LABEL_DESCENDING_SORT_ACTION` The actionType key used to define the default descending level label sort action for an OLAP table view.
`static java.lang.String` | `MOVE_ACTION` The actionType key used to define the default move action for an OLAP table view.
`static java.lang.String` | `MOVE_IN_ACTION` The actionType key used to define the default move in action for an OLAP table view.
`static java.lang.String` | `MOVE_MEASURE_IN_ACTION` The actionType key used to define the default move measure in action for an OLAP table view.
`static java.lang.String` | `MOVE_MEASURE_OUT_ACTION` The actionType key used to define the default move measure out action for an OLAP table view.
`static java.lang.String` | `MOVE_OUT_ACTION` The actionType key used to define the default move out action for an OLAP table view.
`static java.lang.String` | `PERCENT_CALCULATIONS_SELECTOR_ACTION` The actionType key used to define the percent calculations selector action for an OLAP table view.
`static java.lang.String` | `QUERY_SELECTOR_ACTION` The actionType key used to define the default query selector action for an OLAP table view.
`static java.lang.String` | `RANKING_SELECTOR_ACTION` The actionType key used to define the default ranking selector action for an OLAP table view.
`static java.lang.String` | `RESTRICTED_FILTER_SELECTOR_ACTION` The actionType key used to define the restricted filter selector action for an OLAP table view.
`static java.lang.String` | `ROTATE_ACTION` The actionType key used to define the default rotate action for an OLAP table view.
`static java.lang.String` | `SHOW_DETAIL_ACTION` The actionType key used to define the default show detail action for an OLAP table view.
`static java.lang.String` | `SHOW_DETAIL_DATA_SELECTOR_ACTION` The actionType key used to define the default show detail data action for an OLAP table view.
`static java.lang.String` | `SORT_SELECTOR_ACTION` The actionType key used to define the default sort selector action for an OLAP table view.
`static java.lang.String` | `TOTALS_SELECTOR_ACTION` The actionType key used to define the default totals selector action for an OLAP table view.

Field Detail

### DRILL_UP_ACTION

    static final java.lang.String DRILL_UP_ACTION

  The actionType key used to define the default drill up action for an OLAP table view. By default, this action is associated with the TITLE_AREA.

  See Also:
    Constant Field Values

### DRILL_DOWN_ACTION

    static final java.lang.String DRILL_DOWN_ACTION

  The actionType key used to define the default drill down action for an OLAP table view. By default, this action is associated with the ROW_HEADER_AREA and the COLUMN_HEADER_AREA.

  See Also:
    Constant Field Values

### EXPAND_ACTION

    static final java.lang.String EXPAND_ACTION

  The actionType key used to define the default expand action on the rows or columns of an OLAP table view. By default, this action is associated with the ROW_HEADER_AREA and the COLUMN_HEADER_AREA.

  See Also:
    Constant Field Values

### EXPAND_ALL_ACTION

    static final java.lang.String EXPAND_ALL_ACTION

  The actionType key used to define the expand all action on the rows or columns of an OLAP table view. By default, this action is associated with the TITLE_AREA.

  See Also:
    Constant Field Values

### COLLAPSE_ALL_ACTION

    static final java.lang.String COLLAPSE_ALL_ACTION

  The actionType key used to define the expand all action on the rows or columns of an OLAP table view. By default, this action is associated with the TITLE_AREA.

  See Also:
    Constant Field Values

### COLLAPSE_ACTION

    static final java.lang.String COLLAPSE_ACTION

  The actionType key used to define the default collapse action on the rows and columns of an OLAP table view. By default, this action is associated with the ROW_HEADER_AREA and the COLUMN_HEADER_AREA.

  See Also:
    Constant Field Values

### ASCENDING_SORT_ACTION

    static final java.lang.String ASCENDING_SORT_ACTION

  The actionType key used to define the default sort action for an OLAP table view. By default, this action is associated with the ROW_HEADER_AREA, COLUMN_HEADER_AREA and the TITLE_AREA.

  See Also:
    Constant Field Values

### DESCENDING_SORT_ACTION

    static final java.lang.String DESCENDING_SORT_ACTION

  The actionType key used to define the default descending sort action for an OLAP table view. By default, this action is associated with the ROW_HEADER_AREA, COLUMN_HEADER_AREA and the TITLE_AREA.

  See Also:
    Constant Field Values

### LEVEL_LABEL_ASCENDING_SORT_ACTION

    static final java.lang.String LEVEL_LABEL_ASCENDING_SORT_ACTION

  The actionType key used to define the default ascending level label sort action for an OLAP table view. By default, this action is associated with the TITLE_AREA.

  See Also:
    Constant Field Values

### LEVEL_LABEL_DESCENDING_SORT_ACTION

    static final java.lang.String LEVEL_LABEL_DESCENDING_SORT_ACTION

  The actionType key used to define the default descending level label sort action for an OLAP table view. By default, this action is associated with the TITLE_AREA.

  See Also:
    Constant Field Values

### CELL_VALUE_ASCENDING_SORT_ACTION

    static final java.lang.String CELL_VALUE_ASCENDING_SORT_ACTION

  The actionType key used to define the default ascending cell value sort action for an OLAP table view. By default, this action is associated with the ROW_HEADER_AREA and COLUMN_HEADER_AREA.

  See Also:
    Constant Field Values

### CELL_VALUE_DESCENDING_SORT_ACTION

    static final java.lang.String CELL_VALUE_DESCENDING_SORT_ACTION

  The actionType key used to define the default descending cell value sort action for an OLAP table view. By default, this action is associated with the ROW_HEADER_AREA and COLUMN_HEADER_AREA.

  See Also:
    Constant Field Values

### SORT_SELECTOR_ACTION

    static final java.lang.String SORT_SELECTOR_ACTION

  The actionType key used to define the default sort selector action for an OLAP table view. By default, this action is associated with the ROW_HEADER_AREA, COLUMN_HEADER_AREA and the TITLE_AREA.

  See Also:
    Constant Field Values

### CLEAR_SORT_ACTION

    static final java.lang.String CLEAR_SORT_ACTION

  The actionType key used to define the default clear sort action for an OLAP table view. By default, this action is associated with the ROW_HEADER_AREA, COLUMN_HEADER_AREA and the TITLE_AREA.

  See Also:
    Constant Field Values

### CLEAR_LEVEL_LABEL_SORT_ACTION

    static final java.lang.String CLEAR_LEVEL_LABEL_SORT_ACTION

  The actionType key used to define the default clear level label sort action for an OLAP table view. By default, this action is associated with the TITLE_AREA.

  See Also:
    Constant Field Values

### CLEAR_CELL_VALUE_SORT_ACTION

    static final java.lang.String CLEAR_CELL_VALUE_SORT_ACTION

  The actionType key used to define the default clear cell value sort action for an OLAP table view. By default, this action is associated with the ROW_HEADER_AREA and COLUMN_HEADER_AREA.

  See Also:
    Constant Field Values

### SHOW_DETAIL_ACTION

    static final java.lang.String SHOW_DETAIL_ACTION

  The actionType key used to define the default show detail action for an OLAP table view. By default, this action is associated with the DATA_CELL_AREA.

  See Also:
    Constant Field Values

### ISOLATE_MEMBER_ACTION

    static final java.lang.String ISOLATE_MEMBER_ACTION

  The actionType key used to define the default isolate member action for an OLAP table view. By default, this action is associated with members of the ROW_HEADER_AREA and the COLUMN_HEADER_AREA.

  See Also:
    Constant Field Values

### ROTATE_ACTION

    static final java.lang.String ROTATE_ACTION

  The actionType key used to define the default rotate action for an OLAP table view. By default, this action is associated with the DATA_CELL_AREA, ROW_HEADER_AREA, COLUMN_HEADER_AREA and the TITLE_AREA.

  See Also:
    Constant Field Values

### MOVE_ACTION

    static final java.lang.String MOVE_ACTION

  The actionType key used to define the default move action for an OLAP table view. By default, this action is associated with the ROW_HEADER_AREA, COLUMN_HEADER_AREA and the TITLE_AREA.

  See Also:
    Constant Field Values

### MOVE_IN_ACTION

    static final java.lang.String MOVE_IN_ACTION

  The actionType key used to define the default move in action for an OLAP table view. By default, this action is associated with the ROW_HEADER_AREA, COLUMN_HEADER_AREA and the TITLE_AREA.

  See Also:
    Constant Field Values

### MOVE_OUT_ACTION

    static final java.lang.String MOVE_OUT_ACTION

  The actionType key used to define the default move out action for an OLAP table view. By default, this action is associated with the ROW_HEADER_AREA, COLUMN_HEADER_AREA and the TITLE_AREA.

  See Also:
    Constant Field Values

### MOVE_MEASURE_IN_ACTION

    static final java.lang.String MOVE_MEASURE_IN_ACTION

  The actionType key used to define the default move measure in action for an OLAP table view. By default, this action is associated with the ROW_HEADER_AREA and the COLUMN_HEADER_AREA.

  See Also:
    Constant Field Values

### MOVE_MEASURE_OUT_ACTION

    static final java.lang.String MOVE_MEASURE_OUT_ACTION

  The actionType key used to define the default move measure out action for an OLAP table view. By default, this action is associated with the ROW_HEADER_AREA and the COLUMN_HEADER_AREA.

  See Also:
    Constant Field Values

### RANKING_SELECTOR_ACTION

    static final java.lang.String RANKING_SELECTOR_ACTION

  The actionType key used to define the default ranking selector action for an OLAP table view. By default, this action is associated with the ROW_HEADER_AREA, COLUMN_HEADER_AREA and the TITLE_AREA.

  See Also:
    Constant Field Values

### FILTER_SELECTOR_ACTION

    static final java.lang.String FILTER_SELECTOR_ACTION

  The actionType key used to define the default filter selector action for an OLAP table view. By default, this action is associated with the ROW_HEADER_AREA, COLUMN_HEADER_AREA and the TITLE_AREA.

  See Also:
    Constant Field Values

### RESTRICTED_FILTER_SELECTOR_ACTION

    static final java.lang.String RESTRICTED_FILTER_SELECTOR_ACTION

  The actionType key used to define the restricted filter selector action for an OLAP table view. By default, this action is associated with the ROW_HEADER_AREA, COLUMN_HEADER_AREA and the TITLE_AREA.

  See Also:
    Constant Field Values

### QUERY_SELECTOR_ACTION

    static final java.lang.String QUERY_SELECTOR_ACTION

  The actionType key used to define the default query selector action for an OLAP table view. By default, this action is associated with the ROW_HEADER_AREA, COLUMN_HEADER_AREA, DATA_CELL_AREA and the TITLE_AREA.

  See Also:
    Constant Field Values

### TOTALS_SELECTOR_ACTION

    static final java.lang.String TOTALS_SELECTOR_ACTION

  The actionType key used to define the default totals selector action for an OLAP table view. By default, this action is associated with the ROW_HEADER_AREA, COLUMN_HEADER_AREA, DATA_CELL_AREA and the TITLE_AREA.

  See Also:
    Constant Field Values

### SHOW_DETAIL_DATA_SELECTOR_ACTION

    static final java.lang.String SHOW_DETAIL_DATA_SELECTOR_ACTION

  The actionType key used to define the default show detail data action for an OLAP table view. By default, this action is associated with the ROW_HEADER_AREA, COLUMN_HEADER_AREA, DATA_CELL_AREA and the TITLE_AREA.

  See Also:
    Constant Field Values

### FAR_SELECTOR_ACTION

    static final java.lang.String FAR_SELECTOR_ACTION

  The actionType key used to define the default filter and rank selector action for an OLAP table view. By default, this action is associated with the inner most ROW_HEADER_AREA and COLUMN_HEADER_AREA.

  See Also:
    Constant Field Values

### CALCULATE_NEW_MEASURE_SELECTOR_ACTION

    static final java.lang.String CALCULATE_NEW_MEASURE_SELECTOR_ACTION

  The actionType key used to define the simple calculated item selector action for an OLAP table view. By default, this action is associated with all areas.

  See Also:
    Constant Field Values

### PERCENT_CALCULATIONS_SELECTOR_ACTION

    static final java.lang.String PERCENT_CALCULATIONS_SELECTOR_ACTION

  The actionType key used to define the percent calculations selector action for an OLAP table view. By default, this action is associated with all areas.

  See Also:
    Constant Field Values

### FORMAT_SELECTOR_ACTION

    static final java.lang.String FORMAT_SELECTOR_ACTION

  The actionType key used to define the default filter and rank selector action for an OLAP table view. By default, this action is associated with the inner most ROW_HEADER_AREA and COLUMN_HEADER_AREA.

  See Also:
    Constant Field Values

All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Components |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2009 SAS Institute Inc. All Rights Reserved.